﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace DataTemplate
{
    public class ViewModel : INotifyPropertyChanged
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ViewModel"/> class.
        /// </summary>
        public ViewModel()
        {
            _orderCollection = new ObservableCollection<ColumnModel>();
            OrderCollection = GetOrders();
        }

        private ObservableCollection<ColumnModel> _orderCollection;

        /// <summary>
        /// Gets or sets the order collection.
        /// </summary>
        /// <value>The order collection.</value>
        public ObservableCollection<ColumnModel> OrderCollection
        {
            get { return _orderCollection; }
            set
            {
                _orderCollection = value;
                RaisePropertyChanged("GDCSource");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(string propname)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propname));
        }

        /// <summary>
        /// Gets the orders.
        /// </summary>
        private ObservableCollection<ColumnModel> GetOrders()
        {
            var details = new ObservableCollection<ColumnModel>();
            Random r = new Random();
            for (int i = 0; i <= 20; i++)
            {
                details.Add(new ColumnModel
                {
                    MyProperty0 = "" + i,
                    MyProperty1 = i + (i * (r.NextDouble())),
                    MyProperty2 = i + (0.098 * (r.NextDouble())),
                    MyProperty3 = i + (i * (r.NextDouble())),
                    MyProperty4 = i + (1.23 * (r.NextDouble())),
                    MyProperty5 = i + (0.632 * (r.NextDouble())),
                    MyProperty6 = i + (i * (r.NextDouble())),
                    MyProperty7 = i + (0.42 * (r.NextDouble())),
                    MyProperty8 = i + (i * (r.NextDouble())),
                    MyProperty9 = i + (0.91 * (r.NextDouble())),
                    MyProperty10 = i + (0.001 * (r.NextDouble())),
                    MyProperty11 = i + (i * (r.NextDouble())),
                    MyProperty12 = i + (0.098 * (r.NextDouble())),
                    MyProperty13 = i + (i * (r.NextDouble())),
                    MyProperty14 = i + (1.23 * (r.NextDouble())),
                    MyProperty15 = i + (0.632 * (r.NextDouble())),
                    MyProperty16 = i + (i * (r.NextDouble())),
                    MyProperty17 = i + (0.42 * (r.NextDouble())),
                    MyProperty18 = i + (i * (r.NextDouble())),
                    MyProperty19 = i + (0.91 * (r.NextDouble())),
                    MyProperty20 = i + (0.001 * (r.NextDouble())),
                    MyProperty21 = i + (i * (r.NextDouble())),
                    MyProperty22 = i + (0.098 * (r.NextDouble())),
                    MyProperty23 = i + (i * (r.NextDouble())),
                    MyProperty24 = i + (1.23 * (r.NextDouble())),
                    MyProperty25 = i + (0.632 * (r.NextDouble())),
                    MyProperty26 = i + (i * (r.NextDouble())),
                    MyProperty27 = i + (0.42 * (r.NextDouble())),
                    MyProperty28 = i + (i * (r.NextDouble())),
                    MyProperty29 = i + (0.91 * (r.NextDouble())),
                    MyProperty30 = i + (0.001 * (r.NextDouble())),
                    MyProperty31 = i + (i * (r.NextDouble())),
                    MyProperty32 = i + (0.098 * (r.NextDouble())),
                    MyProperty33 = i + (i * (r.NextDouble())),
                    MyProperty34 = i + (1.23 * (r.NextDouble())),
                    MyProperty35 = i + (0.632 * (r.NextDouble())),
                    MyProperty36 = i + (i * (r.NextDouble())),
                    MyProperty37 = i + (0.42 * (r.NextDouble())),
                    MyProperty38 = i + (i * (r.NextDouble())),
                    MyProperty39 = i + (0.91 * (r.NextDouble())),
                    MyProperty40 = i + (0.001 * (r.NextDouble()))
                });
            }
            return details;
        }
    }
}


